Quassel IRC - Feature #628

Implement the ignore and unignore feature
03/15/2009 04:25 PM - Jubmix

Status: Resolved Start date: 03/15/2009
Priority: Normal Due date:

Assignee: seezer % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.5.0

0S: Any

Description

| know that people can be ignoring, and they just won't stop! All the other IRC clients I've used have the /ignore feature which allows
one to block message from people. For example, /ignore Nick1 will set the ignore to *Nick1@ so that you won't see any
messages from anyone named Nick1. Also we should be able to ignore hostnames/vhosts people can change their
screename! /ignore *!@this.is.a.vhost would block messages from anyone with the *@this.is.a.vhost vhost. Also, we should be
able to block any sequence etc. Just like xchat. For example, /ignore *!@wiki*media would block messages from anyone with
the vhost @wiki(any symbol here)edia. This would effectively block messages from vhosts such as wikipedia and wikimedia (I have
nothing against them, it's just an example. Finally the last feature of ignore we should have is ignore type. Like, do you just want to
ignore PMs from someone? Then type /ignore (person) PRIV. Just notices? Then /ignore (person) NOTI. All messages? Then ignore
(person) ALL. This would also work with DCCs etc. Just like other clients. Thanks!

History

#1 - 08/16/2009 08:33 PM - seezer

- Category set to General / Unspecified
- Status changed from New to Assigned
- Assignee set to seezer

- % Done changed from 0 to 50

You can get my try on implementing an ignorelist here:
http://git.roath.org/?p=quassel.qgit;a=shortlog:h=refs/heads/ignore
or via git://git.roath.org/quassel.git branch: ignore

Note that this branch might be rebased on upstream at any time.
It features two different kinds of "ignoring":

Dynamic:

Just hide the messages from the client. Messages still go to the database and thus can be shown any time by disabling the ignore rule.

Permanent:

There is just no way back. Every ignored line never hits the database. This is what most other irc clients provide.

Currently it can only be configured via a settingspage.
Todo:

- Contextmenu in the nick list

- Shortcuts via inputline

Feedback welcome

#2 - 09/13/2009 11:27 PM - seezer
- Status changed from Assigned to Resolved
- Target version set to 0.5.0

- % Done changed from 50 to 100

As of 18abdb3f there is a contextmenu to help you configure the various options offered by the ignore list settingspage.

| consider the general feature resolved and thus will close that request.
Still there will be a /ignore command in the short future.
